Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.common
Class UpperLeftPointConverter

    java.lang.Object
      com.fujitsu.iflow.common.UpperLeftPointConverter

public class UpperLeftPointConverter
extends java.lang.Object

This class contains some static utility routines to handle the conversion between upper left point and offset point. In XPDL 2.0, most company stores upper left point for each node. However, IBPM designer tools require offset points for drawing purpose. This utility class provides an easy way to handle the conversion.

Constructor Summary
`UpperLeftPointConverter()`

Method Summary
`static java.awt.Point` | `getOffsetPoint(java.awt.Point point, ActivityDefinitionStruct ads)` Returns an offset point of the node based on its upper left point
`static java.awt.Point` | `getUpperLeftPoint(java.awt.Point point, ActivityDefinitionStruct ads)` Returns an upper left point of the node based on its offset point

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UpperLeftPointConverter

    public UpperLeftPointConverter()

Method Detail

### getUpperLeftPoint

    public static java.awt.Point getUpperLeftPoint(java.awt.Point point,
                                                   ActivityDefinitionStruct ads)
                                            throws java.lang.Exception

  Returns an upper left point of the node based on its offset point

  Parameters:
    `point` - The offset point of the node.
    `ads` - The node data structure.
  Returns:
    The upper left point of the node.
  Throws:
    `java.lang.Exception`

### getOffsetPoint

    public static java.awt.Point getOffsetPoint(java.awt.Point point,
                                                ActivityDefinitionStruct ads)
                                         throws java.lang.Exception

  Returns an offset point of the node based on its upper left point

  Parameters:
    `point` - The upper left of the node.
    `ads` - The node data structure.
  Returns:
    The offset point of the node.
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD